Skip to main content
GET
Get targets list

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

Search by target name or id.

config_ids
integer[]

Filter by ids of related logs uploader configs that use given target.

limit
integer

Maximum number of items to return in the response. Cannot exceed 1000.

Required range: 1 <= x <= 1000
offset
integer

Number of items to skip from the beginning of the list.

Required range: x >= 0

Response

Successful.

id
integer
read-only
client_id
integer
read-only

Client that owns the target.

created
string<date-time>
read-only

Time when logs uploader target was created.

updated
string<date-time>
read-only

Time when logs uploader target was updated.

storage_type
enum<string>

Type of storage for logs.

Available options:
s3_gcore,
s3_amazon,
s3_oss,
s3_other,
s3_v1,
ftp,
sftp,
http,
azure_blob,
sls
name
string

Name of the target.

Maximum string length: 255
description
string

Description of the target.

Maximum string length: 255

List of logs uploader configs that use this target.

status
object

Validation status of the logs uploader target. Informs if the specified target is reachable.

config
S3 Gcore Config · object

Config for specific storage type.